WIA-Loader Changelog:

1.8.2.6, (23.04.2014)

	- Neuer Importschritt 'Ablauf änderung'
	
	- Neue Funktion zum Debuggen von Importprofilen
	
	- Beim auslesen der Metadaten per ExifTool wird nun UTF-8 verwendet
	
	- Der ExifTool-Importschritt reagiert nun auf Warnungen bzw. Fehler von ExifTool
	
	- Beim anpassen der Geocoding Zeiten kann man sich nun die gefundenen Treffer auf einer Karte anzeigen lassen
	
	- Abruf von Geonames.org erweitert: 3 Stellige und numerische Ländercodes sowie wählbare Abfragesprache
	
	- Für die Gruppierungsfunktion gibt es nun die Option, den Gruppenzähler für jeden Tag neu bei 1 zu starten
	
	- Für den Schritt 'Gruppieren' lassen sich nun die Namen automatisch und anhand eines Musters vergeben
	
	- Verschiedene kleine Änderungen und Bugfixes

1.8.2.0, (31.03.2014)

  - Die Datenbank der importierten Bilder wird nun wieder korrekt gespeichert
  
  - 4 Neue Operatoren für Import-Scritt-Bedingungen
  
  - Neue Variable <SAVEDCOPIES>. Gibt die Anzahl der bisher durch 'Bild Speichern' Schritte abgelegten Kopien eines Bildes zurück
  
  - Kleinere Korrekturen & Bugfixes

1.8.1.0, (23.02.2014)

  - Alle Import-Schritte bis auf den ersten können nun umbenannt bzw. verschoben werden
  
  - Einzelne Import-Schritte können innerhalb eines Profils dupliziert werden
  
  - Neuer Importschritt 'Dateioperationen'
  
  - Beim Laden von Beispiel-Metadaten werden jetzt die gleichen Funktionen benutzt, wie beim
    Laden der Vorschau etc.
    
  - Das automatische Voraus-Laden von Bildern im Viewer kann nun auch deaktiviert werden
  
  - Kleinere Bugfixes
  
  - Übersetzungen ergänzt

1.8.0.0, (22.12.2013)

  - WIA Loader nutzt nun primär die Funktionen aus System.Media.Imaging für die Bildverarbeitung
  
  - Das Canon SDK wird nun nicht mehr benötigt und wurde aus dem Programm entfernt

  - Experimentell: Zugriff auf WPD  ('Windows Portable Device', quasi der 'Nachfolger' von WIA) Geräte möglich

  - Neuer Importschritt 'Bild-Zähler'

  - Laden der Vorschaubilder beschleunigt 

  - GUI reagiert wieder besser, wenn Vorschaubilder im Hintergrund erstellt werden 
	
  - dcraw kann zur Erstellung von Thumbnails von RAW Dateien verwendet werden
	
  - Speicherverbrauch reduziert
	
  - Nur noch Bilder werden auf Doppelklick im internen Viewer angezeigt, alles andere wird 
	  über das Windows-Standard Programm für den jeweiligen Dateityp geöffnet.
	  
  - Bei WIA Geräten werden Thumnbails nur noch Single-Threaded erzeugt, Multi-Threading funktioniert dort nicht
	
  - Der Bildbetrachter lädt nun die nächsten 2 Bilder im Hintergrund damit schneller zwischen den Bildern geblättert werden kann
	
  - Neue Variable <READONLY> für Bilder mit bzw. ohne Schreibschutz
	
  - Viele, viele kleine Änderungen, Verbesserungen und Bugfixes

1.7.3.0, (29.02.2012)

  - Abruf von Geonames.org Daten funktioniert nun wirklich wieder
	 
  - Verschiedene Fixes für den Stereo-Data-Maker
	 
  - Letzte .NET 2.0 Version!

1.7.2.0, (29.06.2011)

  - Abruf von Geonames.org Daten funktioniert wieder

1.7.1.0, (28.05.2011)

 - Samsung RAW Format als bekannten Dateityp hinzugefügt

 - 4 Neue Variablen: <MYDOCUMENTS>, <MYPICTURES>, <MYDESKTOP>, <MYSTARTUPPATH>

 - 4 mögliche Fehler-Quellen behoben
 
 - Bilder können aus dem Vorschau-Kontextmenü direkt gespeichert werden

1.7.0.0, (11.10.2010)

 - Auf Visual C# Express 2010 umgestellt

 - Ich benutze nun jetzt einen neuen, einheitlichen Schlüssel zum signieren aller meiner Programme

 - Google Maps für Anzeige von geocodierten Bildern und GPX Spuren eingebunden

 - Die Vorschaubilder können nun auf Wunsch in mehreren Threads im Hintergrund geladen werden

 - Bilder können nun auch in Netzwerkpfade (UNC-Pfade) gespeichert werden

 - Der Import-Filter für GPX Dateien liest nun auch 'Waypoints' und 'Routen' aus den
   GPX Dateien, nicht nur 'Track-Segmente'
 
 - Bilder mit GPS Positionsdaten haben in der Vorschau nun ein Reißzwecken-Icon

 - Eine Plug-In Schnittstelle für Import-Schritte hinzugefügt

 - Wenn für Dateinamenkonflikte die Option 'Suffix anhängen' gewählt wird, kann man
   nun noch entscheiden, ob auch die erste Datei ein Suffix bekommt.

 - Für das Suffix lässt sich nun auch eine Formatierung vorgeben

 - Der Kontextmenüpunkt 'Nach Datum auswählen' ist nur auch nach dem Datum sortiert

 - WIA-Loader speichert nun die Größe und Position der meisten seiner Fenster. Über ein Kontextmenü,
   welches sich bei einem Rechtsklick auf einen leeren Teil des Fensters öffnet, lässt sich nun
   für jedes Fenster konfigurieren, ob Größe und Position gespeichert werden soll, oder nicht. 

 - Für Canon RAW Dateien lässt sich nun explizit auswählen, ob das Canon SDK benutzt werden soll,
   oder eine der anderen Methoden zum erstellen von Thumbnails usw.

 - Fehler in der Thumbnail Anzeige von Canon RAW Dateien behoben

 - Bilder lassen sich nun auch wieder in einem externen Programm öffnen bei Doppelklick in der Vorschau

 - Neue Variable <NUMI>, die für jeden gestarteten Importvorgang um 1 erhöht wird

 - Neue Variable <SAVEDPATH>, die den zuletzt erstellten Ordnernamen enthält

 - 4 neue Variablen für versch. Felder aus geladenen GPX Files

 - Für das Abrufen von Webseiten, benutzt WIA-Loader nun die User-Agent Zeichenfolge: "WIA-Loader/<VERSIONSNUMMER>".
   Das betrifft z.Z. den Updatecheck, die Geonames.org Abfragen und die Anzeige von Google Maps. 
   Der Updatecheck und die Google Maps Anzeige sind Abfragen auf meinen eigenen Server

 - Die Variable <FIRSTIMAGE> enthält nun den Namen des ersten zu importierenden Bildes,
   die Variable <LASTIMAGE> enthält dementsprechend den Namen des letzten zu importierenden Bildes

 - Die Variablen <TIME> und <DATE> bleiben nun während des gesamten Imports unverändert, auch wenn
   man mehrere 'Bild übertragen' Schritte im Profil hat

 - Die Auswahlbox für das Importprofil lässt sich nun nicht mehr mit dem Mausrad scrollen

 - Der Abstand der Vorschaubilder voneinander lässt sich nun einstellen

 - Die Farbgebung der Vorschauliste ist nun änderbar

 - Die Importvorschau (rechte Seite im Hauptfenster) hat nun auch ein Kontextmenü, über das sich einzelne
   Bilder wieder aus der Auswahl entfernen lassen

 - Für den Schritt 'ExifTool-Änderungen' lassen sich nun auch wieder Bedingungen definieren

 - Wenn Bilder ausgeblendet wurden, kam es an verschiedenen Stellen zu falschen Anzeigen

 - Wenn man nun auf den Button zum löschen des Profils klickt, bekommt man eine extra Warnmeldung, vor der Sicherheitsabfrage

 - kleinere Fehler korrigiert

ACHTUNG:

 - Diese Version ist eventuell die letzte Version die nur .NET 2.0 benötigt. 
   Ich Plane den vollständigen Umstieg auf .NET 3.5 oder sogar .NET 4.

 - Nach dem Update auf diese Version ist das Canon SDK für die Erstellung von Vorschaubildern von Canon RAW Bilder
   deaktiviert. Über den Reiter 'Dateitypen' in der Maske Einstellungen kann es wieder aktiviert werden!

 - Die Vollbild Anzeige von Canon RAW Bildern funktioniert nicht immer, wenn das Canon SDK benutzt wird
   
 - Nach Möglichkeit sollte man die Verwendung des Canon SDKs mit WIA-Loader meiden, mit entsprechenden
   Codecs und .NET 3.5 erhält man eine wesentlich bessere Unterstützung

1.6.6.0, (22.7.2010)

 - Code aufgeräumt

 - Die Liste der unterstützten Dateitypen kann nun selbst bearbeitet werden

 - Es können Bilder manuell zur Liste der bereits importierten Bilder hinzugefügt werden

 - Fehler und Probleme in der Kamerasteuerung behoben

 - Fehler bei der Dateikonflikt-Lösung behoben

 - Fehler im Schritt 'FTP Upload' korrigiert

 - Schritt 'Bildgröße ändern' erweitert um spezielle Einstellungen für hochkantige Bilder

 - Ein paar Änderungen, damit auch auf Systemen mit 120 dpi Auflösung alles sichtbar ist.

 - Schritt 'Gruppieren': Auch wenn nur ein einziges Bild importiert werden soll, wird man nun 
   nach einem Gruppennamen gefragt.

 - Im Kontextmenü gibt es nun einen neuen Auswahlpunkt: Auswahl nach Zeitraum

 - Fehlerhandling an mehreren Stellen verbessert


1.6.5.0, (28.02.2010)

 - Die Laufwerksüberprüfung vor dem Import 'rechnet' nun etwas genauer

 - Das Update-Info Fenster zeigt nun alle relevanten Änderungen, und nicht
   nur die Änderungen seit der letzten Version

 - Zum Erstellen von Thumbnails von Videos kann nun ffmpeg verwendet werden

 - Neue Variable <NUMBEROFPICS>. Enthält die Gesamtzahl der zu importierenden Bilder

 - Neue Option für Dateinamenkonflikte beim Speichern von Bildern: "Benutzer entscheidet"

 - Wenn im Schritt 'Geonames.org' die Umkreissuche mit Benutzerauswahl aktiviert ist,
   werden nun auch Kombinationen von Stadt und Stadtteil zur Auswahl angeboten.

 - Ein eigenes Fenster zum Anzeigen von Meldungen bzw. Benutzerabfragen hinzugefügt.

 - Viele Default-Einstellungen optimiert

 - Kleinere Optimierungen und Bugfixes


1.6.4.0, (13.02.2010)

 - GPX Dateien für das Geocoding können aus zentralem Verzeichnis geladen werden

 - Einstellungsmasken überarbeitet

 - Der Assistent für die Profilerstellung legt nun auch Geocoding und Tagging Schritte an

 - Bereits importierte Bilder können nun komplett aus der Vorschau ausgeblendet werden

 - Mehr Hilfstexte für versch. Einstellungen

 - Bild-Anzeige Fenster weiter ausgebaut

 - Geonames.org Abfrage in eigenen Import-Schritt ausgelagert und ausgebaut

 - Ergänzungen und Aktualisierungen im Handbuch

 - Kleinere Bugfixes



1.6.3.0, (8.12.2009)

 - Optimierungen beim Erstellen der Vorschau

 - Für das erstellen der Vorschau können nun Funktionen von .Net 3 benutzt werden,
   was eine bessere Unterstützung verschiedener Dateiformate mit sich bringt.  

 - Die Variable <WORKINGCOPY> funktioniert wieder.

 - Vor dem Import wird nun geprüft, ob man Bilder getagged hat, und die Variable <TAGS>
   irgendwo eingesetzt wird, und umgekehrt.

 - In der großen Bild-Vorschau gibt es nun eine Option (erreichbar über das Kontextmenü dort),
   um neue Bilder sofort anzuzeigen.

 - Die Portable Version sollte nun keine Rückstände mehr auf der Festplatte hinterlassen.

 - Die Portable Version speichert sämtliche Einstellungen nun in einem Unterordner 'Config',
   für temporäre Dateien wird der Unterordner 'tmp' benutzt

 - Kleinere Fehler behoben

1.6.2.0, (13.10.2009)

 - Bilder können mit Tags versehen werden. 

 - Bei direkt angeschlossenen Kameras kam es zu langen Wartepausen, je mehr Bilder
   auf der Kamera waren. Das wurde nun erheblich beschleunigt.

 - Neue Option zum automatischen Stellen der Uhrzeit von direkt angeschlossenen Kameras

 - Französische Übersetzung

 - Die Sprache von WIA-Loader kann nun im Einstellungsfenster geändert werden

 - Im Profileeditor können nun Variablennamen per Doppelklick in der Variablenliste 
   (öffnet sich per klick auf '?') in die aktuelle Textbox übernommen werden.

 - Befindet man sich in Feldern die Variablen nutzen können, leuchtet das ? zum öffnen
   der Variablenliste grün

 - Wenn für eine Datei kein gültiges Datum ermittelt werden kann, wird nun auch versucht,
   das Datum der letzten Änderung herauszufinden. 

 - Dateien mit gleichem 'Stammnamen' können nun als ein 'Paket' verarbeitet werden. Als 
   Haupt-Datei wird versucht ein JPEG o.ä. zu finden. Alle anderen Dateien werden dann als Anhänge
   zu dieser Hauptdatei behandelt. Dass eine Datei Anhänge besitzt, sieht man in der
   Bildvorschau anhand eines kleinen Icons in rechten oberen Ecke. 

 - Die neue Importvorschau (nachwievor nur über ein Häkchen in den Einstellungen aktivierbar) baut
   sich nun wesentlich schneller auf.

 - Die Import-Vorschau kann nun abgebrochen werden

 - Die Vorschauliste lässt sich in der Tabellenform nun auf- und absteigend sortieren

 - Es lässt sich eine Default-Sortierung der Vorschauliste festlegen. Die Liste kann nach
   Dateiname, Datum und Dateigröße sortiert werden.

 - Ein neuer Import-Schritt zum anlegen von eigenen Variablen

 - Neue Version (2.6) vom Canon ED-SDK eingebaut

 - Doppelklick auf ein Bild in der Vorschau ändert nicht mehr den Zustand der Checkbox

 - Fehler korrigiert


1.6.0.0, (08.08.2009)

 - Die Art und Weise geändert, mit der versch. Dateitypen für versch. Import-Schritte gesperrt wurden, geändert.
   Die Sperre lässt sich nun, auf eigenes Risiko, aufheben.

 - Der Import-Schritt 'Bild Speichern' bietet nun die Möglichkeit, die Dateierweiterungen der Bilder
   in Groß oder Kleinbuchstaben zu ändern

 - Der Import-Schritt Bildgröße-Ändern hat seine Einstellungen nicht gespeichert 

 - Beim Geotaggen schreibt WIA-Loader nun auch Höheninformationen aus GPX Tracks in die Bilder

 - Neuer Import-Schritt zum Ändern von Metadaten über Phil Harveys ExifTool

 - Neuer Import-Schritt zum erstellen einer DNG Datei aus einem RAW Bild mit Hilfe von Adobe's DNG Converter

 - Neue Datumsformatierung EXIFDATE, für ExifTool-gerechte Datumswerte. Bsp: <PDATE:EXIFDATE>

 - Bug beim laden von GPX Dateien ohne Höheninformationen (Elevation) behoben

 - Der Geocoding Importschritt erstellt nun Variablen mit den GPS Informationen, die für weitere Schritte verwendet werden können

 - Geocoding über ExifTool möglich

 - Neuer Operator 'regexp' bei den Import-Schritt-Bedingungen. Dieser bewirkt, dass die 'rechte-Seite'
   der Bedingung als Regulärer Ausdruck behandelt wird.

 - Durch Drücken der Leertaste in der Bildvorschau wird das aktuelle Bild angehakt (bzw. es wird der Haken
   entfernt, wenn er vorher schon gesetzt war), und die Auswahl springt auf das nächste Bild. So kann man nun
   durch gedrückt-halten der Leertaste schnell mehrere Bilder an- bzw. abhaken ....
 
 - Linke Maustaste + SHIFT-Taste in der Bildvorschau bewirkt nun eine mehrfach Auswahl, wie man sie vom
   Windows-Explorer her kennt.

 - Das EXIF Feld 'UserComment' wurde nicht korrekt dargestellt bei Bildern von WIA Geräten

 - WIA-Loader merkt sich nun auf Wunsch alle importierten Bilder in einer Datenbank und wählt diese bei
   späteren Imports nicht mehr automatisch aus.

 - Wenn keine Import-Profile angelegt sind, fragt WIA-Loader den Benutzer, ob er nun eines anlegen möchte,
   und startet dann den Assistenten zum Anlegen eines Profiles.

 - Für die Geräte-Datenbank wird bei WIA Geräten nicht mehr die USB Port Nummer in der Kennung genutzt. Damit
   sollte es jetzt für jede Kamera nur noch einen Eintrag geben ...

 - Es können nun Einträge aus der Gerätedatenbank gelöscht werden.

 - Mono: Öffnen des Einstellungsfenster dauert nicht mehr eine gefühlte Ewigkeit

 - Bugs gefixt und Code optimiert



1.5.7.0, (2.7.2009)

 - Neue Variablen <CBLANK>, <CBLANKL> und <CBLANKR>. 
   <CBLANK> Fügt ein Leerzeichen ein, wenn links und rechts von <CBLANK> ein anderes Zeichen als ein Leerzeichen steht.
   <CBLANKL> Fügt ein Leerzeichen ein, wenn links <CBLANKL> ein anderes Zeichen als ein Leerzeichen steht.
   <CBLANKR> Fügt ein Leerzeichen ein, wenn links <CBLANKR> ein anderes Zeichen als ein Leerzeichen steht.
   
 - Den Importschritt 'Exif-Änderungen' für DNG Dateien gesperrt. 

1.5.6.1, (25.5.2009)
 
 - Geocoding bug gefixt

1.5.6.0, (19.5.2009)

 - Bug gefixt, der beim öffnen des Fenster für die Stichwort-Abfrage auftauchte
 
 - Neue Menüpunkte im Kontextmenü zum 'Vormerken' von Bildern für den Import mit einem
   bestimmten Profil.
   
 - Eine neue Variante der Import-Vorschau ist über einen Einstellungspunkt aktivierbar. Diese
   berücksichtigt die 'Vormerken' Funktion und zeigt auch nur die Bilder an, die zum import
   markiert wurden.
   
 - Eine neue Funktion in den Einstellungen: Ziellaufwerke können nun vor dem Import daraufhin
   überprüft werden, ob a) genug freier Speicher zur Verfügung steht, und b) ob dort Dateien
   hinkopiert und wieder gelesen werden können. 
   
 - Tastatur-Shortcuts im Kontext-Menü überarbeitet
 
 - Bei CR2 Dateien wird nun der Herstellername noch für das EXIF Feld 272 benutzt.
 
 - Meta-Daten können nun mit ExifTool ausgelesen werden (Siehe neues Tab im Fenster 'Einstellungen')
 
 - Für die Variablen-Vorschau können nun Beispielhafte Meta-/Exifdaten geladen werden.

 - Doppelklick auf einen Listeneintrag in der Variablen-Liste (das '?' Symbol im Editor
   für die Import-Schritte), kopiert den Namen der Variable in die Zwischenablage, sodass
   man diese per STRG-V bzw. 'Einfügen' aus dem Kontext-Menü in die Textboxen einfügen kann.

 - Eingabefelder, die Variablen erlauben, haben nun einen ToolTip Text, der den momentanen
   Inhalt des Feldes ausgewertet anzeigt. Die Vorschau-Anzeigen, die in einigen Masken überhalb der
   Eingabeboxen stehen, werden dafür in einer der nächsten Versionen entfernt.
	
 - Noch mehr Bugfixes
 
1.5.4.0, (26.04.2009)

 - Im Update-Info Fenster wurde noch die alte Adresse der Webseite angezeigt
 
 - Aufräumarbeiten und kleinere Korrekturen

 - MONO: Das Fortschritts-Fenster wird nun komplett angezeigt

 - MONO: Crash nach dem Laden der Import-Vorschau behoben
 
 - MONO: Der Menüpunkt 'Order für Einstellungen Öffnen' funktioniert nun
 
 - MONO: Mehrere Abstürze gefixt
 
 - MONO: Hoch/Runter Pfeile zum Verschieben von Import-Schritten wurden u.U. nicht korrekt dargestellt
 
 - Bilder in der Vorschau können nun auch mit CTRL (STRG) + Mausklick angehakt werden.
 
 - Neuer Kontext-Menüpunkt zum Auswählen von Bildern anhand deren Datums
 
 - Neuer Import-Schritt zum Anlegen eines HTML Fotoalbums der importierten Bilder
 
 - Anzeige fehlerhafter Schritte verbessert
 
1.5.3.0, (10.04.2009)

 - Absturz beim laden der Vorschau von Cr2 Bildern gefixt. 
 
 - Wenn aus irgendeinem Grund das Canon-SDK nicht initialisiert werden kann,
   stürzt WIA-Loader zumindest nicht mehr ab.
   
 - 'Importiere mit' Einträge ins Kontext-Menü der Vorschau eingefügt.
 
 - Reaktion auf das Ein- bzw. Ausstecken vob Speicherkarten verbessert
 
 - Update-Suche auf neuen Webserver umgestellt
 
 - Fehler gefixt, der zum Absturz geführt hat, wenn die Update-Suche fehlgeschlagen ist
 
 - Profile können nun wahlweise als XML oder binär-Datei gespeichert werden. Durch diese
   Einstellung ist es nun erstmals möglich, WIA-Loader unter Mono (also Linux bzw. MacOS)
   einigermaßen brauchbar einzusetzen.
   
 - Die Importvorschau umgebaut, sodass diese nun nurnoch eine Standardmäßiges Treeview-Control nutzt.
   Das TreeListView-Control von Thomas Caudal wird nun nicht mehr benutzt.
   
 - Noch mehr Änderungen für Mono-Kompatibilität
 
1.5.2.0, (20.03.2009)

 - EXIF Daten wurden u.U. nicht korrekt engezeigt
 
 - Der Import-Schritt 'Stichwort' speichert nun auf Wunsch alle Eingaben, und
   bietet diese bei späteren Importen zu Auswahl an.
   
1.5.1.0, (08.03.2009)

 - Kleinere Korrekturen
 
 - WIA-Loader kann nun angewiesen werden, für eine bestimmte Zeit nach
   dem Beenden, nicht wieder neu zu starten (für SDM)

 - SDM spezifische Einstellungen können nun angepasst werden.
 
1.5.0.0, (23.02.2009)

 - Der Schritt 'Gruppieren' bietet nun auch die Möglichkeit, alle Bilder die an einem Tag
   gemacht worden, zu gruppieren.
   
 - WIA-Loader kann nun auch auch AutoPlay Handler für Wechselmedien eingetragen werden.
   So kann man WIA-Loader (fast) automatisch starten lassen, wenn man zum Beispiel eine 
   Flash-Karte mit dem Computer verbindet.
   
 - Wenn mehr als 100 Bilder auf der Quelle vorhanden sind, wird während des Aufbaus der
   Vorschau ein Fortschrittsfenster angezeigt, auf dem sich ein Button zum Abbrechen des
   Vorgangs befindet.
   
 - Unbenutzte Einstellungen und Texte entfernt
 
 - WIA-Loader kann nach dem Import automatisch beendet werden
 
 - WIA-Loader kann nun automatisch mit dem Import beginnen, wenn eine
   Bildquelle verbunden wurde.
 
 - Eine option, um Bilder die bereits im Zielverzeichnis vorhanden sind, nicht
   nochmal automatisch für den Import auswählen zu lassen.
   
 - Es gibt nun einen Assistenten zu erstellen von Import Profilen
 
 - Übertragene Bilder können schreibgeschützt werden
 
 - Bugfixes

1.4.5.3, (07.02.2009)

 - WIA-Loader ist nun 'Portabel', d.h. es kann ohne Installation genutzt werden. (siehe !LIesmich.txt)

 - Einige Änderungen um WIA-Loader irgendwann mal unter dem Mono Framework lauffähig zu machen.
   Damit könnte WIA-Loader auch unter Linux oder MacOS eingesetzt werden.

 - Einen Fehler beim ermitteln des Datums für Bilder und Filme von der Speicherkarte behoben.

 - Der Import kann nun auch gestartet werden, wenn die Vorschau nicht geladen wurde. Es werden dann
   alle Bilder von der Quelle importiert.

1.4.5.2, (11.01.2009)

 - Fehler beim Benutzen den | Operators in EXIF-Variablen behoben

 - Eine unsinnige Einstellung entfernt

1.4.5.1, (15.12.2008)

 - Update-Prüfung ging nicht mehr.

1.4.5.0, (12.12.2008)
 
 - Anstelle einer Option zum automatischen rotieren von Bildern, gibt es
   dazu nun einen konfigurierbaren Import-Schritt

 - Einen weiteren neuen Import-Schritt hinzugefügt: Bildgröße ändern

 - Für Importschritte können nun Ausführ-Bedingungen definiert werden.

 - Die Importvorschau kann nun auch unterhalb der Vorschaubilder angezeigt werden

 - Verschiedene Funktionen per Tastatur Shortcut verfügbar gemacht

 - Die Funktion zum löschen von WIA Temp-Files wieder rausgenommen, und durch eine
   'umgekehrte' Funktion ersetzt. Es kann nun ausgewählt werden, ob Bilder die über
   WIA übertragen wurden, zwischengespeichert werden sollen oder nicht. 

 - Bugfixes, Aufräumarbeiten und Optimierungen

1.4.4.2, (24.11.2008)

 - Bugfixes!! Wenn automatisches rotieren und/oder automatisches Backup aktiv waren,
   kam es u.U. zu Fehlern beim Import.

1.4.4.1, (23.11.2008)

 - WIA-Ordner werden nun nicht mehr in der Vorschau angezeigt

 - Kleine Änderungen am SDM Support 

 - Wenn im Import-Schritt 'EXIF-Änderungen' Sonderzeichen benutzt wurden, 
   sind diese als ? in die Datei geschrieben worden.

 - Beim Import von einer Speicherkarte wurde jedes Bild unnötigerweise   
   zweimal kopiert.

1.4.4.0, (17.10.2008)

 - Noch mehr bugs gefixt

 - Die Import-Vorschau funktioniert nun auch für FTP Uploads

 - Speziellen Support für David Sykes StereoData Maker hinzugefügt.
   für mehr Informationen dazu, siehe: http://stereo.jpn.org/eng/sdm/index.htm

 - Das Manual auf den neuesten Stand gebracht

1.4.3.9, (13.10.2008)

 - Für einzelne Schritte kann nun eingestellt werden, ob dieser nur für
   bestimmte Dateitypen angewandt werden soll.

 - Die Import-Vorschau funktioniert nun auch korrekt, wenn mehrere 'Bild speichern' Schritte
   im Import-Profil vorhanden sind.

 - Bilder werden nun nicht mehr unnötigerweise von der Kamera übertragen

 - Aus Variablen lassen sich nun einzelne Bereiche/Zeichen ausschneiden:

   Beispiel anhand der <NAME> Variable, das Bild heisst DSC_1234:

   <NAME:|3-5> ergibt C_1
   <NAME:|1-3> ergibt DSC
   <NAME:|5->  ergibt 1234
   <NAME:|-4>  ergibt DSC_
   usw.

 - Import-Profile können nun auch dupliziert werden.

 - Der 'Bild speichern' Schritt hat nun eine Option, das 'Erstellt am' Datum des
   Übertragenen Bildes auf die Aufnahmezeit des Bildes zu setzen.

 - Ein paar Bugs und Merkwürdigkeiten gefixt 

1.4.3.8, (21.9.2008)

 - Die Import-Einstellungen heissen jetzt Import-Profile

 - Im Import-Schritt 'Speichern unter' hat man nun die Möglichkeit selbst zu entscheiden,
   wie mit bereits vorhandenen Dateien umzugehen ist.

 - Für WIA Geräte lässt sich nun wählen welches Bildformat bevorzugt übertragen werden soll,
   falls mehrere Formate zur Verfügung stehen.

 - Minimieren und Maximieren Knöpfe im Hauptfenster wieder eingeblendet

 - FTP Upload Fehler behoben

 - Bugfixes

1.4.3.7, (15.9.2008)

 - Vorschaubilder werden jetzt nicht mehr doppelt im Speicher gehalten

 - Für den Import-Schritt 'Übertragen' lässt sich nun auswählen, dass nur
   bestimmte Dateitypen übertragen werden.

 - Stabilität und Performance des Loggings verbessert. Insbesondere mit aktiviertem
   Trace-Modus ist das spürbar.

 - Viele kleine Verbesserungen und Bugfixes

1.4.3.6, (30.08.2008)

 - Kleinere Verbesserungen des Speicherverbrauchs von WIA-Loader

 - Mehrere Fehler behoben, die zu Abstürzen führten

 - Unter bestimmten Umständen wurden Änderungen an Import-Einstellungen nicht gespeichert

 - Für die 'Bilder sofort Importieren' Option:
   
   - Bei vielen schnell hintereinander gemachten Bildern wird erst am Ende die Bildvorschau neu aufgebaut

   - Wenn ein Stichwort-Abfrage Schritt in der Import-Einstellung ist, wird man nurnoch
     einmal nach dem Stichwort gefragt.

 - Im Menü 'Extras' gibt es nun einen Punkt zum Speichern des Logfiles.

1.4.3.5, (25.08.2008)

 - Alle Versionsnummern korrigiert, damit das Auto-Update wieder funktioniert.

1.4.3.4, (10.08.2008)

 - Die Funktion 'Neue Bilder sofort importieren' funktioniert nun wieder

 - Beim öffnen der Import-Einstellungen wurden in der Liste der einzelnen Schritte falsche
   Namen angezeigt

 - nach Installation einer neuen Version von WIA-Loader wurden einige Einstellungen
   nicht vollständig übernommen

 - Bugfixes

1.4.3.1, (01.08.2008)

 - Wia-Loader versucht nun nicht mehr, .mov Dateien wie ein Bild zu öffnen

 - Bug beim Verbinden mit WIA-Geräten behoben 

1.4.3.0, (30.07.2008)

 - Habe die Import-Einstellungen komplett umgebaut:
   -Der Import wird nun in einzelnen Schritten konfiguriert und durchgeführt.
   -man kann die Ablaufreihenfolge der Schritte bestimmen.
   -neue Funktion "Skript-Aufruf" ist hinzugekommen.

 - Ein paar neue Variablen hinzugefügt

 - Beim bearbeiten der Importschritte lässt sich nun eine Liste der verfügbaren Variablen anzeigen

 - WIA-Loader führt nun eine kleine Statistik über die angeschlossenen geräte

 - Zu jedem Gerät lässt sich eine Standard-Einstellung wählen. Wia-Loader wählt diese Einstellung
   automatisch aus, sobald das Gerät verbunden wurde.

 - Bugs behoben, die zum Absturz geführt haben, wenn man die Option zum Ändern des EXIF-Feldes 
   "User-Comments" auf CR2 Bilder anwenden wollte.

 - Zusätzlich zum EXIF-Feld 'User-Comment' lassen sich nun auch die Felder 'Artist' 
   und 'Copyright holder' ändern.
   
1.4.2.1, (05.07.2008)

 - WIA Loader räumt nun gründlicher hinter sich auf, wenn man ihn beendet. Insbesondere
   die temporären Datein, die bei Import von Bildern über die WIA Schnittstelle entstehen,
   sollten nun nicht mehr im temp-Ordner des Windows-Users stehen bleiben.

 - WIA-Loader hat nun eine Option, temporäre Dateien, die beim IMport von Bildern über
   WIA-Schnittstelle entstehen, direkt zu löschen. Das sollte Probleme lösen, die entstehen,
   wenn die Systempartition fast voll ist.

 - Optimierungen hier und da ......

1.4.2.0, (13.4.2008)

 - Nummern-Variablen können nun mit führenden Nullen ausgegeben werden. bzw. frei
   formatiert werden.

 - Neue Variable <TGROUPNAME>. Wird diese benutzt, wird der Benutzer beim Import
   aufgefordert, Bildergruppen zu benamen. Dazu steht ein neues Fenster mit 
   einer Vorschau auf die in der Gruppe enthaltenen Bilder zur verfügung.

 - Ein paar Bugfixes

 - Wenn kein Vorschau-Bild erzeugt werden kann, wird ein dummy Bild angezeigt.

1.4.1.0,  (6.4.2008)

 - Bilder können nun direkt in WIA-Loader betrachtet werden.

 - Das Hauptfenster ein wenig umgebaut

 - Die Vorschau-Bilder können nun nach Datum gruppiert werden

 - Verschiedene Optimierungen
 
1.4.0.0,  

 - Umfangreicher Ausbau des Handbuchs

 - Einige fehlende englische Texte ergänzt

1.3.6.5,  (27.2.2008)

 - Neue Variable <NUMF> zur durchnummerierung von Bildern innerhalb eines Ordners

 - Variable <PDATE> ist nun frei formatierbar, Beispiel: <PDATE:yyyy> (= 2008)

 - In der Import-Vorschau werden Dateinamen die bereits verwendet wurden, rot markiert

 - In der Import-Vorschau werden Dateien, die bereits importiert wurden, jetzt grün markiert

 - Die default Vorgabe für das Zeit-Format von <PTIME> und <TIME> war fehlerhaft

 - Das Handbuch etwas weiter ausgebaut

1.3.6.4, (22.2.2008)

 - Kleinere Fehler korrigiert

 - Wenn als Bildquelle ein beliebiger Pfad auf der Festplatte ausgewählt hat man nun in
   Importmaske die möglichkeit, den Pfad direkt zu wechseln

 - Eine neue Einstellung hinzugefügt, um zu verhindern, dass bei Programmstart sofort
   zur zuletzt benutzten Bildquelle gewechselt wird.

1.3.6.3, (7.2.2008)
 
 - Die GPS Track-Anzeige kann nun vergrößert und verkleinert werden.

 - Es gibt nun die Möglichkeit, die Anpassung der GPS Zeiten vor dem Import vorzunehmen

 - Viele potentielle Hänger und Abstürze insbesondere in der Kamerasteuerung behoben

 - Beim Start des Programms kann nun automatisch nach Updates gesucht werden

 - Für die Import-Vorschau kann nun auch das Geocoding Ergebnis berücksichtigt werden 

1.3.6.2, (5.2.2008)

 - wiaaut.dll zum Setup hinzugefügt

1.3.6.1, (5.2.2008)

 - CRW Dateien werden nun korrekt eingelesen

 - Die 'Sofort-Import' Funktion steht nun auch zu Verfügung, wenn man Bilder von einem 
   Karten-Lesegerät importiert.

 - Es werden nurnoch Dateien angezeigt, die auch unterstützt werden.

1.3.6.0, (1.2.2008)

 - Wenn Bilder mit dazugehörigen Tonaufnahmen als WAV-Datei importiert werden, wird die
   WAV Datei mit dem Bild zusammen importiert, und ggf. auch umbennant.

 - Macht man mit einem WIA-fähigen Gerät aufnahmen, während WIA-Loader mit dem Gerät 
   verbunden ist, können diese Aufnahmen direkt importiert werden.

 - Mehrere Fehler korrigiert 

1.3.5.0, (28.1.2008)

 - Hauptmaske komplett umgebaut

 - viele interne Umstrukturierungen und Optimierungen

 - Support für Canon Raw Files erweitert

 - Man kann nun vor dem Import schon sehen, wie die Bilder mal heissen werden

1.3.3.2, (5.1.2008)

 - Bugfixes

 - Beim Import werden Dateinamen, die es schon geben sollte, durch Nummern
   ergänzt, damit auch wirklich jedes Bild erhalten bleibt.
 
 - Das Fenster mit dem Fortschrittsbalken beim Import lässt sich nicht mehr so leicht
   in den Hintergrund drängen.

 - Error-Logging ausgebaut

 - Es ist nun möglich, einen frei definierbaren Pfad als Bildquelle zu benutzen.

 - WIA-Loader reagierte manchmal nicht auf das Einstecken eines USB-FlashKartenlesers

1.3.3.1, (4.8.2007)

 - Bugfixes

1.3.3.0, (18.7.2007)

 - An einigen unkritischen Stellen das Error-Handling so umgebaut, dass 
   die Anwendung weiterläuft, anstatt sich zu beenden.

 - Beim Starten des Programms durch ein Kamera-Event wurde die Kamera nicht verbunden

 - Das Laden der englischen Texte auf nicht-Deutschsprachigen Systemen funktionierte nicht

 - Beim übertragen von Videos kam es zu abstürzen

1.3.2.5, (08.7.2007)

 - Masken umgebaut

1.3.2.0, (01.7.2007)

 - Belichtungsreihen

1.3.1.0, (30.6.2007)

 - viele Bugfixes

 - Besseres Handling von RAW Dateien

 - Anzeige auf 'Live' Reiter erweitert

1.3.0.6, (21.6.2007)

 - Verweis auf Stdole entfernt

1.3.0.5, (9.6.2007)

 - Einen unnötigen Schritt beim importieren von Bildern gespart, wenn keine
   EXIF Daten geändert werden.

1.3.0.4, (29.5.2007)
  
 - Die Import-Einstellungs Maske ist nun gesperrt, bis man eine Einstellung
   auswählt oder neu anlegt

1.3.0.3, (28.5.2007)

 - WIA-Loader reagierte nicht mehr auf USB Events

1.3.0.2, (27.5.2007)

 - Ein laufender Import-Vorgang kann nun auch abgebrochen werden

 - Noch ein paar mehr Bugfixes

1.3.0.1, (26.5.2007)

 - Bugfixes

 - Geschwindigkeit beim löschen von Bildern verbessert

 - Das Manual etwas erweitert

1.3.0.0, (22.5.2007) : 

 - Versionsnummer deutlich erhöht wegen der vielen Neuerungen

 - Für das Geocoding gibt es auch eine Vorschau im Track-Viewer

 - Viele Bugfixes und interne Bereinigungen 

 - 'Alle auswählen' und 'Auswahl aufheben' Menüpunkte hinzugefügt

 - 'Importierte auswählen' und 'Nicht-Importierte' auswählen Menüpunkte hinzugefügt

1.2.3.2, (18.5.2007) :

 - Beim Importieren kann nun auch das EXIF-Feld 'Kommentar' geändert werden.

 - Import-Einstellungen werden nun automatisch übernommen, nach Installation einer neuen Version

1.2.3.1, (17.5.2007) :

 - GPX Tracks können angezeigt werden

 - Tracks können in Google-Earth geöffnet werden

1.2.3.0, (16.5.2007) :

 - Geocoding von Bildern durch ein GPX File

1.2.2.2, (11.5.2007) :

 - 2 neue Variablen für zeitliche Gruppierung von Bildern.
   <TGROUP> : Nummer der Gruppe
   <TGROUPPICTURE> : Nummer des Bildes innerhalb der Gruppe

   Für diese Gruppierung lässt sich nun auf der Import-Einstellungs-Tab eine 
   maximale Differenz zwischen 2 Bildern in Sekunden einstellen. Jedes mal, wenn
   der Abstand zwischen 2 Bildern größer als dieser Wert ist, wird die
   Gruppennummer erhöht.
	 
1.2.1.1, (8.5.2007) :

 - Aufbau der Vorschau beschleunigt
 
 - Variable <PDATE> funktioniert nun zuverlässiger
 
 - Speicherverbrauch gesenk

 - Laufwerk A: wird nicht mehr nach Bildern durchsucht

 - Auf Flash-Karten befindliche Filme werden nun auch importiert.

 - Nach Programm-Start ist die zuletzt benutzte Import-Einstellung ausgewählt.

 - Import-Einstellungen, Import/Export: Nach Klick auf den jeweiligen Button befindet
   sich der Dateiauswahl-Dialog im aktuellen Ordner für Import-Einstellungen 

1.2.1.0, (5.5.2007) :

 - Viele interne Aufräumarbeiten und Bugfixes
 
1.2.0.5, (3.5.2007) :

 - Vorschaubilder von einem Kartenlesegerät werden nun gff. automatisch gedreht, wenn
   das EXIF Tag 'Orientierung' gefunden wurde.
 
1.2.0.4, (2.5.2007) :

 - Menüpunkt zur Überprüfung auf Updates

1.2.0.3, (1.5.2007) :

 - Bilder können jetzt auch von einem Karten-Lesegerät importiert werden.

 - WIA-Loader läuft nun auch unter Windows 2000. Allerdings ohne WIA

 - Viele, viele interne Umbauten und optimierungen

 - Viele Bugfixes

1.2.0.2, (30.4.2007) :

 - Für die Ordner-Namen lassen sich nun auch Bild-Daten einsetzen

 - Der Ordner-Name kann nun auch \ enthalten, dadurch wird beim Import
   ggf. ein Ordner-Baum erstellt. Beispiel:

   <ASK1>\<PDATE>\<EXIF:37386>mm

   Dadurch entsteht ein Baum, der so aussehen kann: 
   
   Urlaubsfotos\

	  1.7.2007\

	  	  28mm\
			DSCN1234.jpg
			DSCN1231.jpg
			DSCN8726.JPG

		  70mm\
			DSCN2311.jpg
			DSCN3123.jpg

	  2.7.2007\

	  	  28mm\
			DSCN3234.jpg
			DSCN1331.jpg
			DSCN8226.JPG

		  70mm\
			DSCN1311.jpg
			DSCN3223.jpg

   usw.
   (Exif Tag 37386 gibt die Brennweite des Benutzten Objektive an. In diesem
   Beispiel bin ich von einem 28mm und einem 70mm Objektiv ausgegangen. Benutzt
   man einen Tele-Zoom, sollte man sich es natürlich 2 mal überlegen, ob man 
   die Brennweite in den Ordnernamen einbaut, oder nicht. :-) )


1.2.0.1, (29.4.2007) :

 - Wenn in den EXIF Daten das Feld 'Orientierung' gefunden wird, kann
   WIA Loader Bilder automatisch drehen, wenn diese hochformatig aufgenommen wurden.

 - Unter der Vorschau-Liste gibt es nun ein Label, das Anzeigt wieviele Bilder
   man ausgewählt hat, bzw. in der Liste sind.

 - Ein paar Buttons haben neue Bildchen bekommen

 - Für Bildnamen lässt sich jetzt auch die Aufnahmezeit des Bildes benutzen

 - Viele interne umbauten

 - Bugfixes

 